<?php
/**
 * Open Source Social Network
 *
 * @package Open Source Social Network
 * @author    OSSN Core Team https://www.openteknik.com/contact
 * @copyright (C) OpenTeknik LLC
 * @license   OPENTEKNIK  LLC, COMMERCIAL LICENSE, COMMERCIAL LICENSE https://www.openteknik.com/license/commercial-license-v1
 * @link      https://www.opensource-socialnetwork.org/
 */

define('Worlds', ossn_route()->com . 'WorldsPage/');

    require_once(Worlds . 'classes/Page.php');
    require_once(Worlds . 'classes/Cover.php');
    require_once(Worlds . 'classes/Photo.php');
    require_once(Worlds . 'classes/Like.php');


 if (ossn_isLoggedin()) {
        ossn_register_site_settings_page('wpage', 'wpages/back/worlds');
        ossn_register_admin_sidemenu('admin:wpage', 'admin:wpage', ossn_site_url('administrator/settings/wpage?mpage=list'), ossn_print('admin:sidemenu:settings'));
        
 }


ossn_register_system_sdk('WorldsPage', 'worlds_pages_init_20');